package com.ffii.fhsmsc.modules.User_group.enity;
import com.ffii.core.entity.BaseEntity;

import java.util.Date;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

/** @author Terence */
@Entity
@Table(name = "User_Group_Organization")
public class UserGroupOrganization extends BaseEntity<Long> {
    @Column
    private Long User_Grp_Org_ID;
    @Column
    private String User_Grp_Org_Name;
    @Column
    private String Creator_User_ID;
    @Column
    private Date Creation_Date_Time;

    public Long getUser_Grp_Org_ID() {
        return User_Grp_Org_ID;
    }

    public void setUser_Grp_Org_ID(Long user_Grp_Org_ID) {
        User_Grp_Org_ID = user_Grp_Org_ID;
    }

    public String getUser_Grp_Org_Name() {
        return User_Grp_Org_Name;
    }

    public void setUser_Grp_Org_Name(String user_Grp_Org_Name) {
        User_Grp_Org_Name = user_Grp_Org_Name;
    }

    public String getCreator_User_ID() {
        return Creator_User_ID;
    }

    public void setCreator_User_ID(String creator_User_ID) {
        Creator_User_ID = creator_User_ID;
    } 

    public Date getCreation_Date_Time() {
        return Creation_Date_Time;
    }

    public void setCreation_Date_Time(Date creation_Date_Time) {
        Creation_Date_Time = creation_Date_Time;
    }
}
